using MultiLayout;
using MultiLayout.UiModule;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Thick.FilmCasting.UI.UiModule
{
    /// <summary>
    /// 全部扫描图的参数
    /// </summary>
    public class TrendGraphParams : UIModuleParams<TrendGraphItemParam>
    {

        public TrendGraphParams()
        {
            string path = System.IO.Path.Combine(FlyLayout.BasePath, "trendgraph.json");
            FilePath = path;
        }

        static TrendGraphParams current = null;
        public static TrendGraphParams Current
        {
            get
            {
                if (current == null)
                {
                    current = new TrendGraphParams();
                    current.Load();
                }
                return current;
            }
        }
    }
}
